Bug 13355 - System preferences tab value wrong in templates
Summary: System preferences tab value wrong in templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-27 12:10 UTC by Tomás Cohen Arazi
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13355: System preferences tab value wrong in templates (3.02 KB, patch)
2014-11-27 12:17 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13355 System preferences tab value wrong in template (3.02 KB, patch)
2014-11-27 20:54 UTC, wajasu
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13355: System preferences tab value wrong in templates (3.15 KB, patch)
2014-11-27 21:19 UTC, wajasu
Details | Diff | Splinter Review
[PASSED QA] Bug 13355: System preferences tab value wrong in templates (3.12 KB, patch)
2014-12-05 15:08 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2014-11-27 12:10:57 UTC
To reproduce:
(1)
- Choose a tab on the sysprefs section (for example 'Enhanced Content')
- Right click on 'Enhanced Content preferences' title, and choose to 'inspect' the code
=> FAIL: you will see below the form tag something like:
<input type="hidden" name="op" value="save">
<input type="hidden" name="tab" value="">

(2)
- Do a syspref search (for example 'facet').
- Right click on one of the category titles (for example 'OPAC preferences')
=> FAIL: you will see below the form tag something like:
<input type="hidden" name="op" value="save">
<input type="hidden" name="tab" value="HASH(0x6e53050)">
Comment 1 Tomás Cohen Arazi 2014-11-27 12:17:18 UTC Comment hidden (obsolete)
Comment 2 wajasu 2014-11-27 20:54:39 UTC Comment hidden (obsolete)
Comment 3 wajasu 2014-11-27 21:19:08 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-12-05 15:08:31 UTC
Created attachment 34149 [details] [review]
[PASSED QA] Bug 13355: System preferences tab value wrong in templates

This patch fixes a bug on the system preferences tab templates.

To test:
To reproduce:
(1)
- Choose a tab on the sysprefs section (for example 'Enhanced Content')
- Right click on 'Enhanced Content preferences' title, and choose to 'inspect' the code
=> FAIL: you will see below the form tag something like:
<input type="hidden" name="op" value="save">
<input type="hidden" name="tab" value="">

(2)
- Do a syspref search (for example 'facet').
- Right click on one of the category titles (for example 'OPAC preferences')
=> FAIL: you will see below the form tag something like:
<input type="hidden" name="op" value="save">
<input type="hidden" name="tab" value="HASH(0x6e53050)">

- Apply the patch
- Repeat (1) and (2)
=> SUCCESS: you will see below the form tag something like:

<input type="hidden" name="tab" value="enhanced_content">
and
<input type="hidden" name="tab" value="opac">

respectively.
- Sign off :-D

Regards

Signed-off-by: wajasu <matted@34813.mypacks.net>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2014-12-17 23:08:56 UTC
Patch pushed to master.
Comment 6 Chris Cormack 2014-12-18 01:13:05 UTC
Pushed to 3.18.x will be 3.18.2